#!/bin/bash

SSH_GIT_URL_REGEX="^ssh:\/\/([^@]+@)?([a-z0-9\-\.]+)[:/].*$"

if [[ "$REPO_URL" =~ $SSH_GIT_URL_REGEX ]]; then
	echo "Detected SSH repo URL, importing host key"
	ssh-keyscan ${BASH_REMATCH[2]} >> /root/.ssh/known_hosts || exit 1
fi

/aux/pull-n-build.sh || exit 1
